National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

Search Results (Refine Search)

Search Parameters:
  • Contains Software Flaws (CVE)
  • CPE Product Version: cpe:/a:opera:opera_browser:2.12
There are 194 matching records.
Displaying matches 21 through 40.
Vuln ID Summary CVSS Severity
CVE-2012-6462

Opera before 12.10 does not properly implement the Cross-Origin Resource Sharing (CORS) specification, which allows remote attackers to bypass intended page-content restrictions via a crafted request.

Published: January 02, 2013; 06:46:22 AM -05:00
    V2: 5.0 MEDIUM
CVE-2012-6461

The X.509 certificate-validation functionality in the https implementation in Opera before 12.10 allows remote attackers to trigger a false indication of successful revocation-status checking by causing a failure of a single checking service.

Published: January 02, 2013; 06:46:22 AM -05:00
    V2: 5.0 MEDIUM
CVE-2012-6460

Opera before 11.67 and 12.x before 12.02 allows remote attackers to cause truncation of a dialog, and possibly trigger downloading and execution of arbitrary programs, via a crafted web site.

Published: January 02, 2013; 06:46:22 AM -05:00
    V2: 5.0 MEDIUM
CVE-2012-4010

Opera before 11.60 allows remote attackers to spoof the address bar via unspecified homograph characters, a different vulnerability than CVE-2010-2660.

Published: August 30, 2012; 01:55:02 PM -04:00
    V2: 5.0 MEDIUM
CVE-2012-4146

Opera before 12.01 allows remote attackers to cause a denial of service (application crash) via a crafted web site, as demonstrated by the Lenovo "Shop now" page.

Published: August 06, 2012; 12:55:07 PM -04:00
    V2: 4.3 MEDIUM
CVE-2012-4145

Unspecified vulnerability in Opera before 12.01 on Windows and UNIX, and before 11.66 and 12.x before 12.01 on Mac OS X, has unknown impact and attack vectors, related to a "low severity issue."

Published: August 06, 2012; 12:55:07 PM -04:00
    V2: 10.0 HIGH
CVE-2012-4144

Opera before 12.01 on Windows and UNIX, and before 11.66 and 12.x before 12.01 on Mac OS X, does not properly escape characters in DOM elements, which makes it easier for remote attackers to bypass cross-site scripting (XSS) protection mechanisms via a crafted HTML document.

Published: August 06, 2012; 12:55:07 PM -04:00
    V2: 4.3 MEDIUM
CVE-2012-4143

Opera before 12.01 on Windows and UNIX, and before 11.66 and 12.x before 12.01 on Mac OS X, allows user-assisted remote attackers to trick users into downloading and executing arbitrary files via a small window for the download dialog, a different vulnerability than CVE-2012-1924.

Published: August 06, 2012; 12:55:07 PM -04:00
    V2: 6.8 MEDIUM
CVE-2012-4142

Opera before 12.01 on Windows and UNIX, and before 11.66 and 12.x before 12.01 on Mac OS X, ignores some characters in HTML documents in unspecified circumstances, which makes it easier for remote attackers to conduct cross-site scripting (XSS) attacks via a crafted document.

Published: August 06, 2012; 12:55:06 PM -04:00
    V2: 4.3 MEDIUM
CVE-2012-3568

Opera before 12.00 Beta allows remote attackers to cause a denial of service (application crash) via crafted WebGL content, as demonstrated by a codeflow.org WebGL demo.

Published: June 14, 2012; 03:55:02 PM -04:00
    V2: 5.0 MEDIUM
CVE-2012-3567

Opera before 12.00 Beta allows remote attackers to cause a denial of service (memory consumption or application hang) via an IFRAME element that uses the src="#" syntax to embed a parent document.

Published: June 14, 2012; 03:55:01 PM -04:00
    V2: 5.0 MEDIUM
CVE-2012-3566

Opera before 12.00 Beta allows user-assisted remote attackers to cause a denial of service (application hang) via JavaScript code that changes a form before submission.

Published: June 14, 2012; 03:55:01 PM -04:00
    V2: 4.3 MEDIUM
CVE-2012-3565

Opera before 12.00 Beta allows remote attackers to cause a denial of service (application crash) via crafted characters in domain names, as demonstrated by "IDNA2008 tests."

Published: June 14, 2012; 03:55:01 PM -04:00
    V2: 5.0 MEDIUM
CVE-2012-3564

Opera before 12.00 Beta allows remote attackers to cause a denial of service (application hang) via an absolutely positioned wrap=off TEXTAREA element located next to an "overflow: auto" block element.

Published: June 14, 2012; 03:55:01 PM -04:00
    V2: 5.0 MEDIUM
CVE-2012-3563

Opera before 12.00 Beta allows remote attackers to cause a denial of service (application crash) via a web page that contains invalid character encodings.

Published: June 14, 2012; 03:55:01 PM -04:00
    V2: 5.0 MEDIUM
CVE-2012-3562

Opera before 12.00 Beta allows user-assisted remote attackers to cause a denial of service (application crash) via a crafted web page that is not properly handled during a reload, as demonstrated by a "multiple origin camera test" page.

Published: June 14, 2012; 03:55:01 PM -04:00
    V2: 4.3 MEDIUM
CVE-2012-3561

Opera before 11.64 does not properly allocate memory for URL strings, which allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption and application crash) via a crafted string.

Published: June 14, 2012; 03:55:01 PM -04:00
    V2: 10.0 HIGH
CVE-2012-3560

Opera before 11.65 does not ensure that the address field corresponds to the displayed web page during blocked navigation, which makes it easier for remote attackers to conduct spoofing attacks by detecting and preventing attempts to load a different web page.

Published: June 14, 2012; 03:55:01 PM -04:00
    V2: 4.3 MEDIUM
CVE-2012-3559

Unspecified vulnerability in Opera before 12.00 on Mac OS X has unknown impact and attack vectors, related to a "moderate severity issue."

Published: June 14, 2012; 03:55:01 PM -04:00
    V2: 10.0 HIGH
CVE-2012-3558

Opera before 11.65 does not ensure that the address field corresponds to the displayed web page during unusually timed changes to this field, which makes it easier for user-assisted remote attackers to conduct spoofing attacks via vectors involving navigation, reloads, and redirects.

Published: June 14, 2012; 03:55:01 PM -04:00
    V2: 2.6 LOW